Name:          jtoaster
Version:       1.0.5
Release:       4%{?dist}
Summary:       Java utility class for swing applications
License:       ASL 2.0
URL:           http://jtoaster.sourceforge.net/
Source0:       http://downloads.sourceforge.net/project/jtoaster/%{name}/1.0/%{name}-%{version}.jar
Source1:       %{name}-template.pom
BuildRequires: java-devel
BuildRequires: jpackage-utils

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Java Toaster is a java utility class for your swing applications
that show an animate box coming from the bottom of your screen
with a notification message and/or an associated image (like MSN
online/offline notifications).

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c
find . -name "*.class" -delete

cp -p %{SOURCE1} %{name}.pom
sed -i "s|@version@|%{version}|" %{name}.pom

mkdir -p src/com/nitido/utils/toaster docs
mv ./\ com/nitido/utils/toaster/Toaster.java src/com/nitido/utils/toaster/

%build

%javac -encoding UTF-8 $(find src -type f -name "*.java")
(
  cd src
  %jar cvf ../%{name}.jar $(find . -name "*.class")
)
%javadoc -d docs -encoding UTF-8 $(find src -type f -name "*.java")

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 %{name}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{name}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr docs/* %{buildroot}%{_javadocdir}/%{name}/

%files -f .mfiles
%doc README com
%license apache2.0_license.txt

%files javadoc
%{_javadocdir}/%{name}
%license apache2.0_license.txt

%changelog
* Mon Feb 09 2015 gil cattaneo <puntogil@libero.it> 1.0.5-4
- introduce license macro

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Apr 27 2013 gil cattaneo <puntogil@libero.it> 1.0.5-1
- initial rpm
